Package org.apache.groovy.ast.tools

# Class VisibilityUtils

java.lang.Object
org.apache.groovy.ast.tools.VisibilityUtils

public class VisibilityUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getVisibility(AnnotationNode anno, AnnotatedNode node, Class<? extends AnnotatedNode> clazz, int originalModifiers)`
  Determine the correct modifiers by looking for a potential @VisibilityOptions annotation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getVisibility

    public static int getVisibility(AnnotationNode anno, AnnotatedNode node, Class<? extends AnnotatedNode> clazz, int originalModifiers)
    Determine the correct modifiers by looking for a potential @VisibilityOptions annotation.
    Parameters:
      `anno` - The annotation being processed (if any) which may support a 'visibilityId' attribute
      `node` - The node being processed which may also be annotated with @VisibilityOptions
      `clazz` - The type of node being constructed
      `originalModifiers` - The modifier value to adjust or return if no applicable @VisibilityOptions is found
    Returns:
      the updated modifiers